> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List push notifications
> Used to get summary information of push actions related to campaigns.
Simple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.
Each individual event for a campaign where messages are sent is known as a push action.
## OpenAPI ````json POST /list/push { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/push": { "post": { "summary": "List push notifications", "description": "Used to get summary information of push actions related to campaigns.\n\nSimple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.
\n\nEach individual event for a campaign where messages are sent is known as a push action.
", "operationId": "push-list", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "array", "items": { "type": "object" } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "data": [ { "id": "574495211", "project_id": "PROJECT_ID", "application_id": "5471", "campaign_id": "43671731", "trigger_id": "374807814", "message_type": "3", "send_mode": "1", "type": "web", "environment": "chrome", "target_count": "2", "sent_count": "2", "error_count": "0", "delivery_count": "2", "open_count": "0", "click_count": "0", "error": "0", "create_time": "1602772007", "message": { "en": { "id": "574495211", "cid": "43671731", "title": "Push title", "alert": "Body of the message", "url": "URL", "icon": "ICON_URL" } } }, { "id": "574506869", "project_id": "2780", "application_id": "5471", "campaign_id": "43594935", "trigger_id": "374882618", "message_type": "3", "send_mode": "1", "type": "web", "environment": "chrome", "target_count": "1", "sent_count": "1", "error_count": "0", "delivery_count": "1", "open_count": "0", "click_count": "0", "error": "0", "create_time": "1602773457", "message": { "id": "574506869", "cid": "43594935", "title": "Push title", "alert": "Push text", "url": "URL", "icon": "ICON_URL", "image": "IMG_URL" } } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Message Methods" ] } } } } ````